List leak findings
Leaks found for watched assets: asset, date, source, severity. Secrets are masked.
GET/v1/watch/findingsGETList leak findingscurl -X GET "https://api.darkradar.com/api/public/v1/watch/findings" \ -H "x-api-key: $DARKRADAR_API_KEY"
Response
{
"success": true,
"data": {
"items": [
{
"id": "64b1f0c2a9e4d21f8c3b9a30",
"status": "new",
"severity": "high",
"source": "DarkRadar",
"exposedDataTypes": [
"password",
"email"
],
"assetId": "64b1f0c2a9e4d21f8c3b9a20",
"assetType": "email",
"assetValue": "[email protected]",
"leakedSecretMasked": "Ya******23",
"contentLocked": false,
"firstSeenAt": "2026-09-10T00:00:00.000Z",
"detectedAt": "2026-09-12T06:00:00.000Z",
"details": {
"computerName": "DESKTOP-***",
"stealerFamily": "Lumma",
"operatingSystem": "Windows 11",
"country": "TR"
}
}
],
"total": 1,
"page": 1,
"pageSize": 50,
"counts": {
"new": 1,
"reviewing": 0,
"closed": 0,
"all": 1
}
}
}Query parameters
| Fields | Values |
|---|---|
status · string · optional | Filter by status · Values: new, reviewing, resolved, closed · Example: new |
assetId · string · optional | Filter by asset · Example: 64b1f0c2a9e4d21f8c3b9a20 |
from · string · optional | From date (ISO 8601) · Example: 2026-09-01 |
to · string · optional | To date (ISO 8601) · Example: 2026-09-18 |
page · integer · optional | Page number · Example: 1 |
pageSize · integer · optional | Results per page · Example: 50 |
cursor · string · optional | Opaque next-page cursor |
Responses
200Success400Invalid request (malformed id, missing or invalid field)401Key missing, invalid, expired or revoked403Insufficient scope, no API access in plan, or product not enabled404Record not found or not owned by this key’s firm408The request exceeded its maximum response time429Rate limit exceeded; retry after a minuteResponse limits
Page sizepageSize · default 20 · max 200
Rate limit500 requests per 15 min · per IP